# Organizations

## Update Organization License Key

> Receives a new license key via JSON, decodes it, verifies its validity, and updates the organization's license in the system if it is valid.

```json
{"openapi":"3.1.1","info":{"title":"","version":"0.0.1"},"servers":[{"url":"/v1"}],"paths":{"/organization-license":{"put":{"description":"Receives a new license key via JSON, decodes it, verifies its validity, and updates the organization's license in the system if it is valid.","tags":["organizations"],"summary":"Update Organization License Key","responses":{"204":{"description":"No Content - License key successfully updated"},"400":{"description":"Bad Request - Invalid JSON, empty license key, or validation failure of the license key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}},"409":{"description":"Conflict - License limit is incompatible with the current organization state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}},"500":{"description":"Internal Server Error - Failure in updating the license or unable to retrieve organization info from context","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.UpdateOrganizationLicenseKeyPayload"}}},"description":"Payload containing the new license key","required":true}}}},"components":{"schemas":{"model.ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}}},"model.UpdateOrganizationLicenseKeyPayload":{"type":"object","properties":{"licenseKey":{"type":"string"}}}}}}
```

## GET /organizations

> Get organizations the user belongs to

```json
{"openapi":"3.1.1","info":{"title":"","version":"0.0.1"},"servers":[{"url":"/v1"}],"paths":{"/organizations":{"get":{"tags":["organizations"],"summary":"Get organizations the user belongs to","responses":{"200":{"description":"OK - The organizations the user belongs to","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.GetOrganizationsResponse"}}}},"500":{"description":"Status Internal Server Error - Failed to retrieve organizations or other severe errors","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}}}}}},"components":{"schemas":{"model.GetOrganizationsResponse":{"description":"Body of the response to get all organizations a user belongs to","type":"object","properties":{"organizations":{"type":"array","items":{"$ref":"#/components/schemas/model.Organization"}}}},"model.Organization":{"type":"object","properties":{"apiVersion":{"type":"string"},"kind":{"allOf":[{"$ref":"#/components/schemas/model.Kind"}]},"metadata":{"$ref":"#/components/schemas/model.Metadata"},"spec":{"$ref":"#/components/schemas/model.OrganizationSpec"},"status":{"$ref":"#/components/schemas/model.NoStatus"}}},"model.Kind":{"type":"string","enum":["Configuration","Agent","AgentType","AgentVersion","Source","Processor","Connector","Destination","Extension","SourceType","ProcessorType","ConnectorType","DestinationType","ExtensionType","RecommendationType","Unknown","Rollout","RolloutType","Organization","Account","Invitation","Login","User","AccountOrganizationBinding","UserOrganizationBinding","UserAccountBinding","AuditTrail","AvailableComponents","SecretsManagerType","SecretsManager","Recording","Credential","CredentialType","Fleet","Integration","IntegrationType","ConfigurationType","Notification","Recommendation","PublicProcessor","Blueprint","PrometheusRule","APIKey","ResourcePreset"]},"model.Metadata":{"type":"object","properties":{"additionalInfo":{"$ref":"#/components/schemas/model.AdditionalInfo"},"blueprintTags":{"description":"BlueprintTags holds categorized tags for blueprints (e.g., use-case, destination).\nUnlike Labels, this supports multiple values per category.","allOf":[{"$ref":"#/components/schemas/model.BlueprintTags"}]},"dateModified":{"type":"string"},"deprecated":{"description":"Deprecated indicates that this resource is deprecated and should not be used. Deprecated resources should contain\nadditional information about why the resource is deprecated and what should be used instead.\nNote: Ironically, the Deprecated field is itself deprecated. Use Stability instead.","type":"boolean"},"description":{"type":"string"},"displayName":{"type":"string"},"hash":{"description":"Hash is a hex formatted sha256 Hash of the json-encoded spec that is used to determine if the spec has changed.","type":"string"},"icon":{"type":"string"},"id":{"type":"string"},"labels":{"$ref":"#/components/schemas/model.Labels"},"name":{"type":"string"},"resourceDocLink":{"type":"string"},"stability":{"description":"Stability is the stability of the resource, one of development, alpha, beta, stable, or\ndeprecated. This should be used instead of the Deprecated field.","allOf":[{"$ref":"#/components/schemas/model.Stability"}]},"version":{"description":"Version is a 1-based integer that is incremented each time the spec is changed.","type":"integer"},"warning":{"description":"Warning is an optional message that is displayed to the user when the resource is configured. Currently used for IntegrationTypes.","type":"string"}}},"model.AdditionalInfo":{"type":"object","properties":{"documentation":{"type":"array","items":{"$ref":"#/components/schemas/model.DocumentationLink"}},"message":{"type":"string"}}},"model.DocumentationLink":{"type":"object","properties":{"text":{"type":"string"},"url":{"type":"string"}}},"model.BlueprintTags":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"model.Labels":{"type":"object"},"model.Stability":{"type":"string","enum":["development","alpha","beta","stable","deprecated",""]},"model.OrganizationSpec":{"type":"object","properties":{"auth0":{"$ref":"#/components/schemas/model.OrganizationAuth0"},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/model.Parameter"}}}},"model.OrganizationAuth0":{"type":"object","properties":{"displayName":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"}}},"model.Parameter":{"type":"object","properties":{"credential":{"description":"Credential indicates if this parameter's value should be treated as a credential reference","type":"boolean"},"name":{"description":"Name is the name of the parameter","type":"string"},"sensitive":{"description":"Sensitive will be true if the value is sensitive and should be masked when printed.","type":"boolean"},"value":{"description":"Value could be any of the following: string, bool, int, enum (string), float, []string, map"}}},"model.NoStatus":{"type":"object"},"model.ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}}}}}}
```

## Insert a new organization and project

> This endpoint allows creating a new organization along with a new project and establishes necessary bindings between them.

```json
{"openapi":"3.1.1","info":{"title":"","version":"0.0.1"},"servers":[{"url":"/v1"}],"paths":{"/organizations":{"post":{"description":"This endpoint allows creating a new organization along with a new project and establishes necessary bindings between them.","tags":["organizations"],"summary":"Insert a new organization and project","responses":{"200":{"description":"Contains the organization and project that was created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.InsertOrganizationResponse"}}}},"400":{"description":"Bad Request - JSON parsing error or missing fields","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}},"404":{"description":"Not Found - Failed to create organization or project","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}},"500":{"description":"Internal Server Error - Failed to apply bindings or other server errors","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.InsertOrganizationPayload"}}},"description":"Payload to create organization and project","required":true}}}},"components":{"schemas":{"model.InsertOrganizationResponse":{"description":"Body of the response to create an organization and an account","type":"object","properties":{"account":{"$ref":"#/components/schemas/model.Account"},"organization":{"$ref":"#/components/schemas/model.Organization"}}},"model.Account":{"type":"object","properties":{"apiVersion":{"type":"string"},"kind":{"allOf":[{"$ref":"#/components/schemas/model.Kind"}]},"metadata":{"$ref":"#/components/schemas/model.Metadata"},"spec":{"$ref":"#/components/schemas/model.AccountSpec"},"status":{"$ref":"#/components/schemas/model.NoStatus"}}},"model.Kind":{"type":"string","enum":["Configuration","Agent","AgentType","AgentVersion","Source","Processor","Connector","Destination","Extension","SourceType","ProcessorType","ConnectorType","DestinationType","ExtensionType","RecommendationType","Unknown","Rollout","RolloutType","Organization","Account","Invitation","Login","User","AccountOrganizationBinding","UserOrganizationBinding","UserAccountBinding","AuditTrail","AvailableComponents","SecretsManagerType","SecretsManager","Recording","Credential","CredentialType","Fleet","Integration","IntegrationType","ConfigurationType","Notification","Recommendation","PublicProcessor","Blueprint","PrometheusRule","APIKey","ResourcePreset"]},"model.Metadata":{"type":"object","properties":{"additionalInfo":{"$ref":"#/components/schemas/model.AdditionalInfo"},"blueprintTags":{"description":"BlueprintTags holds categorized tags for blueprints (e.g., use-case, destination).\nUnlike Labels, this supports multiple values per category.","allOf":[{"$ref":"#/components/schemas/model.BlueprintTags"}]},"dateModified":{"type":"string"},"deprecated":{"description":"Deprecated indicates that this resource is deprecated and should not be used. Deprecated resources should contain\nadditional information about why the resource is deprecated and what should be used instead.\nNote: Ironically, the Deprecated field is itself deprecated. Use Stability instead.","type":"boolean"},"description":{"type":"string"},"displayName":{"type":"string"},"hash":{"description":"Hash is a hex formatted sha256 Hash of the json-encoded spec that is used to determine if the spec has changed.","type":"string"},"icon":{"type":"string"},"id":{"type":"string"},"labels":{"$ref":"#/components/schemas/model.Labels"},"name":{"type":"string"},"resourceDocLink":{"type":"string"},"stability":{"description":"Stability is the stability of the resource, one of development, alpha, beta, stable, or\ndeprecated. This should be used instead of the Deprecated field.","allOf":[{"$ref":"#/components/schemas/model.Stability"}]},"version":{"description":"Version is a 1-based integer that is incremented each time the spec is changed.","type":"integer"},"warning":{"description":"Warning is an optional message that is displayed to the user when the resource is configured. Currently used for IntegrationTypes.","type":"string"}}},"model.AdditionalInfo":{"type":"object","properties":{"documentation":{"type":"array","items":{"$ref":"#/components/schemas/model.DocumentationLink"}},"message":{"type":"string"}}},"model.DocumentationLink":{"type":"object","properties":{"text":{"type":"string"},"url":{"type":"string"}}},"model.BlueprintTags":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"model.Labels":{"type":"object"},"model.Stability":{"type":"string","enum":["development","alpha","beta","stable","deprecated",""]},"model.AccountSpec":{"type":"object","properties":{"alternateSecretKeys":{"description":"AlternateSecretKeys are additional secret keys that can be used for an account.","type":"array","items":{"type":"string"}},"names":{"description":"Names are labels for each secret key: index 0 is the default, indices 1+ match\nAlternateSecretKeys in order.","type":"array","items":{"type":"string"}},"parameters":{"description":"Parameters are the parameters for the account.","type":"array","items":{"$ref":"#/components/schemas/model.Parameter"}},"secretKey":{"description":"SecretKey is the default secret key for an account.\nThis will be used when generating the install command for agents.","type":"string"}}},"model.Parameter":{"type":"object","properties":{"credential":{"description":"Credential indicates if this parameter's value should be treated as a credential reference","type":"boolean"},"name":{"description":"Name is the name of the parameter","type":"string"},"sensitive":{"description":"Sensitive will be true if the value is sensitive and should be masked when printed.","type":"boolean"},"value":{"description":"Value could be any of the following: string, bool, int, enum (string), float, []string, map"}}},"model.NoStatus":{"type":"object"},"model.Organization":{"type":"object","properties":{"apiVersion":{"type":"string"},"kind":{"allOf":[{"$ref":"#/components/schemas/model.Kind"}]},"metadata":{"$ref":"#/components/schemas/model.Metadata"},"spec":{"$ref":"#/components/schemas/model.OrganizationSpec"},"status":{"$ref":"#/components/schemas/model.NoStatus"}}},"model.OrganizationSpec":{"type":"object","properties":{"auth0":{"$ref":"#/components/schemas/model.OrganizationAuth0"},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/model.Parameter"}}}},"model.OrganizationAuth0":{"type":"object","properties":{"displayName":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"}}},"model.ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}}},"model.InsertOrganizationPayload":{"description":"Body of the request to insert a new organization","type":"object","properties":{"accountName":{"type":"string"},"eulaAccepted":{"type":"boolean"},"licenseKey":{"description":"LicenseKey is an optional pre-existing license key to use instead of creating a new license.\nWhen provided, the system will validate and use this license instead of generating a new one.","type":"string"},"licenseType":{"type":"string"},"organizationName":{"type":"string"}}}}}}
```

## PUT /organizations/:id/license

>

```json
{"openapi":"3.1.1","info":{"title":"","version":"0.0.1"},"servers":[{"url":"/v1"}],"paths":{"/organizations/:id/license":{"put":{"tags":["organizations"],"responses":{"204":{"description":"No Content - License key successfully updated"},"400":{"description":"Bad Request - Invalid JSON, empty license key, or validation failure of the license key","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}},"409":{"description":"Conflict - License limit is incompatible with the current organization state","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.PutJanitorOrganizationLicensePayload"}}},"description":"Payload containing the new license key","required":true}}}},"components":{"schemas":{"model.ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}}},"model.PutJanitorOrganizationLicensePayload":{"type":"object","properties":{"createLicenseType":{"type":"string"},"licenseKey":{"type":"string"}}}}}}
```

## GET /organizations/accounts

> Get all projects associated with the organization by id

```json
{"openapi":"3.1.1","info":{"title":"","version":"0.0.1"},"servers":[{"url":"/v1"}],"paths":{"/organizations/accounts":{"get":{"tags":["organizations"],"summary":"Get all projects associated with the organization by id","responses":{"200":{"description":"OK - Contains an array of projects associated with the organization","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.AccountsForOrganizationResponse"}}}},"403":{"description":"Status Forbidden - User does not have permission to retrieve projects","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}},"500":{"description":"Status Internal Server Error - Failed to retrieve projects or other severe errors","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}}}}}},"components":{"schemas":{"model.AccountsForOrganizationResponse":{"description":"Body of the response to retrieve all accounts associated with an organization","type":"object","properties":{"accounts":{"type":"array","items":{"$ref":"#/components/schemas/model.Account"}}}},"model.Account":{"type":"object","properties":{"apiVersion":{"type":"string"},"kind":{"allOf":[{"$ref":"#/components/schemas/model.Kind"}]},"metadata":{"$ref":"#/components/schemas/model.Metadata"},"spec":{"$ref":"#/components/schemas/model.AccountSpec"},"status":{"$ref":"#/components/schemas/model.NoStatus"}}},"model.Kind":{"type":"string","enum":["Configuration","Agent","AgentType","AgentVersion","Source","Processor","Connector","Destination","Extension","SourceType","ProcessorType","ConnectorType","DestinationType","ExtensionType","RecommendationType","Unknown","Rollout","RolloutType","Organization","Account","Invitation","Login","User","AccountOrganizationBinding","UserOrganizationBinding","UserAccountBinding","AuditTrail","AvailableComponents","SecretsManagerType","SecretsManager","Recording","Credential","CredentialType","Fleet","Integration","IntegrationType","ConfigurationType","Notification","Recommendation","PublicProcessor","Blueprint","PrometheusRule","APIKey","ResourcePreset"]},"model.Metadata":{"type":"object","properties":{"additionalInfo":{"$ref":"#/components/schemas/model.AdditionalInfo"},"blueprintTags":{"description":"BlueprintTags holds categorized tags for blueprints (e.g., use-case, destination).\nUnlike Labels, this supports multiple values per category.","allOf":[{"$ref":"#/components/schemas/model.BlueprintTags"}]},"dateModified":{"type":"string"},"deprecated":{"description":"Deprecated indicates that this resource is deprecated and should not be used. Deprecated resources should contain\nadditional information about why the resource is deprecated and what should be used instead.\nNote: Ironically, the Deprecated field is itself deprecated. Use Stability instead.","type":"boolean"},"description":{"type":"string"},"displayName":{"type":"string"},"hash":{"description":"Hash is a hex formatted sha256 Hash of the json-encoded spec that is used to determine if the spec has changed.","type":"string"},"icon":{"type":"string"},"id":{"type":"string"},"labels":{"$ref":"#/components/schemas/model.Labels"},"name":{"type":"string"},"resourceDocLink":{"type":"string"},"stability":{"description":"Stability is the stability of the resource, one of development, alpha, beta, stable, or\ndeprecated. This should be used instead of the Deprecated field.","allOf":[{"$ref":"#/components/schemas/model.Stability"}]},"version":{"description":"Version is a 1-based integer that is incremented each time the spec is changed.","type":"integer"},"warning":{"description":"Warning is an optional message that is displayed to the user when the resource is configured. Currently used for IntegrationTypes.","type":"string"}}},"model.AdditionalInfo":{"type":"object","properties":{"documentation":{"type":"array","items":{"$ref":"#/components/schemas/model.DocumentationLink"}},"message":{"type":"string"}}},"model.DocumentationLink":{"type":"object","properties":{"text":{"type":"string"},"url":{"type":"string"}}},"model.BlueprintTags":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"model.Labels":{"type":"object"},"model.Stability":{"type":"string","enum":["development","alpha","beta","stable","deprecated",""]},"model.AccountSpec":{"type":"object","properties":{"alternateSecretKeys":{"description":"AlternateSecretKeys are additional secret keys that can be used for an account.","type":"array","items":{"type":"string"}},"names":{"description":"Names are labels for each secret key: index 0 is the default, indices 1+ match\nAlternateSecretKeys in order.","type":"array","items":{"type":"string"}},"parameters":{"description":"Parameters are the parameters for the account.","type":"array","items":{"$ref":"#/components/schemas/model.Parameter"}},"secretKey":{"description":"SecretKey is the default secret key for an account.\nThis will be used when generating the install command for agents.","type":"string"}}},"model.Parameter":{"type":"object","properties":{"credential":{"description":"Credential indicates if this parameter's value should be treated as a credential reference","type":"boolean"},"name":{"description":"Name is the name of the parameter","type":"string"},"sensitive":{"description":"Sensitive will be true if the value is sensitive and should be masked when printed.","type":"boolean"},"value":{"description":"Value could be any of the following: string, bool, int, enum (string), float, []string, map"}}},"model.NoStatus":{"type":"object"},"model.ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}}}}}}
```

## Get All Organizations and Projects

> Returns all organizations and all projects in each organization that the user is a member of

```json
{"openapi":"3.1.1","info":{"title":"","version":"0.0.1"},"servers":[{"url":"/v1"}],"paths":{"/organizations/accounts/all":{"get":{"description":"Returns all organizations and all projects in each organization that the user is a member of","tags":["organizations"],"summary":"Get All Organizations and Projects","responses":{"200":{"description":"OK - Contains all organizations and projects","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.AllOrganizationsAccountsResponse"}}}},"401":{"description":"Unauthorized - User does not have permission to get organizations and projects","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}},"500":{"description":"Internal Server Error - Failed to get organizations and projects or other server errors","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}}}}}},"components":{"schemas":{"model.AllOrganizationsAccountsResponse":{"type":"object","properties":{"activeAccountId":{"type":"string"},"organizationAccounts":{"type":"array","items":{"$ref":"#/components/schemas/model.OrganizationAccounts"}}}},"model.OrganizationAccounts":{"type":"object","properties":{"accounts":{"type":"array","items":{"$ref":"#/components/schemas/model.Account"}},"organization":{"$ref":"#/components/schemas/model.Organization"},"ssoEnabled":{"type":"boolean"}}},"model.Account":{"type":"object","properties":{"apiVersion":{"type":"string"},"kind":{"allOf":[{"$ref":"#/components/schemas/model.Kind"}]},"metadata":{"$ref":"#/components/schemas/model.Metadata"},"spec":{"$ref":"#/components/schemas/model.AccountSpec"},"status":{"$ref":"#/components/schemas/model.NoStatus"}}},"model.Kind":{"type":"string","enum":["Configuration","Agent","AgentType","AgentVersion","Source","Processor","Connector","Destination","Extension","SourceType","ProcessorType","ConnectorType","DestinationType","ExtensionType","RecommendationType","Unknown","Rollout","RolloutType","Organization","Account","Invitation","Login","User","AccountOrganizationBinding","UserOrganizationBinding","UserAccountBinding","AuditTrail","AvailableComponents","SecretsManagerType","SecretsManager","Recording","Credential","CredentialType","Fleet","Integration","IntegrationType","ConfigurationType","Notification","Recommendation","PublicProcessor","Blueprint","PrometheusRule","APIKey","ResourcePreset"]},"model.Metadata":{"type":"object","properties":{"additionalInfo":{"$ref":"#/components/schemas/model.AdditionalInfo"},"blueprintTags":{"description":"BlueprintTags holds categorized tags for blueprints (e.g., use-case, destination).\nUnlike Labels, this supports multiple values per category.","allOf":[{"$ref":"#/components/schemas/model.BlueprintTags"}]},"dateModified":{"type":"string"},"deprecated":{"description":"Deprecated indicates that this resource is deprecated and should not be used. Deprecated resources should contain\nadditional information about why the resource is deprecated and what should be used instead.\nNote: Ironically, the Deprecated field is itself deprecated. Use Stability instead.","type":"boolean"},"description":{"type":"string"},"displayName":{"type":"string"},"hash":{"description":"Hash is a hex formatted sha256 Hash of the json-encoded spec that is used to determine if the spec has changed.","type":"string"},"icon":{"type":"string"},"id":{"type":"string"},"labels":{"$ref":"#/components/schemas/model.Labels"},"name":{"type":"string"},"resourceDocLink":{"type":"string"},"stability":{"description":"Stability is the stability of the resource, one of development, alpha, beta, stable, or\ndeprecated. This should be used instead of the Deprecated field.","allOf":[{"$ref":"#/components/schemas/model.Stability"}]},"version":{"description":"Version is a 1-based integer that is incremented each time the spec is changed.","type":"integer"},"warning":{"description":"Warning is an optional message that is displayed to the user when the resource is configured. Currently used for IntegrationTypes.","type":"string"}}},"model.AdditionalInfo":{"type":"object","properties":{"documentation":{"type":"array","items":{"$ref":"#/components/schemas/model.DocumentationLink"}},"message":{"type":"string"}}},"model.DocumentationLink":{"type":"object","properties":{"text":{"type":"string"},"url":{"type":"string"}}},"model.BlueprintTags":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"model.Labels":{"type":"object"},"model.Stability":{"type":"string","enum":["development","alpha","beta","stable","deprecated",""]},"model.AccountSpec":{"type":"object","properties":{"alternateSecretKeys":{"description":"AlternateSecretKeys are additional secret keys that can be used for an account.","type":"array","items":{"type":"string"}},"names":{"description":"Names are labels for each secret key: index 0 is the default, indices 1+ match\nAlternateSecretKeys in order.","type":"array","items":{"type":"string"}},"parameters":{"description":"Parameters are the parameters for the account.","type":"array","items":{"$ref":"#/components/schemas/model.Parameter"}},"secretKey":{"description":"SecretKey is the default secret key for an account.\nThis will be used when generating the install command for agents.","type":"string"}}},"model.Parameter":{"type":"object","properties":{"credential":{"description":"Credential indicates if this parameter's value should be treated as a credential reference","type":"boolean"},"name":{"description":"Name is the name of the parameter","type":"string"},"sensitive":{"description":"Sensitive will be true if the value is sensitive and should be masked when printed.","type":"boolean"},"value":{"description":"Value could be any of the following: string, bool, int, enum (string), float, []string, map"}}},"model.NoStatus":{"type":"object"},"model.Organization":{"type":"object","properties":{"apiVersion":{"type":"string"},"kind":{"allOf":[{"$ref":"#/components/schemas/model.Kind"}]},"metadata":{"$ref":"#/components/schemas/model.Metadata"},"spec":{"$ref":"#/components/schemas/model.OrganizationSpec"},"status":{"$ref":"#/components/schemas/model.NoStatus"}}},"model.OrganizationSpec":{"type":"object","properties":{"auth0":{"$ref":"#/components/schemas/model.OrganizationAuth0"},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/model.Parameter"}}}},"model.OrganizationAuth0":{"type":"object","properties":{"displayName":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"}}},"model.ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}}}}}}
```

## GET /organizations/projects

> Get all projects associated with the organization by id

```json
{"openapi":"3.1.1","info":{"title":"","version":"0.0.1"},"servers":[{"url":"/v1"}],"paths":{"/organizations/projects":{"get":{"tags":["organizations"],"summary":"Get all projects associated with the organization by id","responses":{"200":{"description":"OK - Contains an array of projects associated with the organization","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.AccountsForOrganizationResponse"}}}},"403":{"description":"Status Forbidden - User does not have permission to retrieve projects","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}},"500":{"description":"Status Internal Server Error - Failed to retrieve projects or other severe errors","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}}}}}},"components":{"schemas":{"model.AccountsForOrganizationResponse":{"description":"Body of the response to retrieve all accounts associated with an organization","type":"object","properties":{"accounts":{"type":"array","items":{"$ref":"#/components/schemas/model.Account"}}}},"model.Account":{"type":"object","properties":{"apiVersion":{"type":"string"},"kind":{"allOf":[{"$ref":"#/components/schemas/model.Kind"}]},"metadata":{"$ref":"#/components/schemas/model.Metadata"},"spec":{"$ref":"#/components/schemas/model.AccountSpec"},"status":{"$ref":"#/components/schemas/model.NoStatus"}}},"model.Kind":{"type":"string","enum":["Configuration","Agent","AgentType","AgentVersion","Source","Processor","Connector","Destination","Extension","SourceType","ProcessorType","ConnectorType","DestinationType","ExtensionType","RecommendationType","Unknown","Rollout","RolloutType","Organization","Account","Invitation","Login","User","AccountOrganizationBinding","UserOrganizationBinding","UserAccountBinding","AuditTrail","AvailableComponents","SecretsManagerType","SecretsManager","Recording","Credential","CredentialType","Fleet","Integration","IntegrationType","ConfigurationType","Notification","Recommendation","PublicProcessor","Blueprint","PrometheusRule","APIKey","ResourcePreset"]},"model.Metadata":{"type":"object","properties":{"additionalInfo":{"$ref":"#/components/schemas/model.AdditionalInfo"},"blueprintTags":{"description":"BlueprintTags holds categorized tags for blueprints (e.g., use-case, destination).\nUnlike Labels, this supports multiple values per category.","allOf":[{"$ref":"#/components/schemas/model.BlueprintTags"}]},"dateModified":{"type":"string"},"deprecated":{"description":"Deprecated indicates that this resource is deprecated and should not be used. Deprecated resources should contain\nadditional information about why the resource is deprecated and what should be used instead.\nNote: Ironically, the Deprecated field is itself deprecated. Use Stability instead.","type":"boolean"},"description":{"type":"string"},"displayName":{"type":"string"},"hash":{"description":"Hash is a hex formatted sha256 Hash of the json-encoded spec that is used to determine if the spec has changed.","type":"string"},"icon":{"type":"string"},"id":{"type":"string"},"labels":{"$ref":"#/components/schemas/model.Labels"},"name":{"type":"string"},"resourceDocLink":{"type":"string"},"stability":{"description":"Stability is the stability of the resource, one of development, alpha, beta, stable, or\ndeprecated. This should be used instead of the Deprecated field.","allOf":[{"$ref":"#/components/schemas/model.Stability"}]},"version":{"description":"Version is a 1-based integer that is incremented each time the spec is changed.","type":"integer"},"warning":{"description":"Warning is an optional message that is displayed to the user when the resource is configured. Currently used for IntegrationTypes.","type":"string"}}},"model.AdditionalInfo":{"type":"object","properties":{"documentation":{"type":"array","items":{"$ref":"#/components/schemas/model.DocumentationLink"}},"message":{"type":"string"}}},"model.DocumentationLink":{"type":"object","properties":{"text":{"type":"string"},"url":{"type":"string"}}},"model.BlueprintTags":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"model.Labels":{"type":"object"},"model.Stability":{"type":"string","enum":["development","alpha","beta","stable","deprecated",""]},"model.AccountSpec":{"type":"object","properties":{"alternateSecretKeys":{"description":"AlternateSecretKeys are additional secret keys that can be used for an account.","type":"array","items":{"type":"string"}},"names":{"description":"Names are labels for each secret key: index 0 is the default, indices 1+ match\nAlternateSecretKeys in order.","type":"array","items":{"type":"string"}},"parameters":{"description":"Parameters are the parameters for the account.","type":"array","items":{"$ref":"#/components/schemas/model.Parameter"}},"secretKey":{"description":"SecretKey is the default secret key for an account.\nThis will be used when generating the install command for agents.","type":"string"}}},"model.Parameter":{"type":"object","properties":{"credential":{"description":"Credential indicates if this parameter's value should be treated as a credential reference","type":"boolean"},"name":{"description":"Name is the name of the parameter","type":"string"},"sensitive":{"description":"Sensitive will be true if the value is sensitive and should be masked when printed.","type":"boolean"},"value":{"description":"Value could be any of the following: string, bool, int, enum (string), float, []string, map"}}},"model.NoStatus":{"type":"object"},"model.ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}}}}}}
```

## Get All Organizations and Projects

> Returns all organizations and all projects in each organization that the user is a member of

```json
{"openapi":"3.1.1","info":{"title":"","version":"0.0.1"},"servers":[{"url":"/v1"}],"paths":{"/organizations/projects/all":{"get":{"description":"Returns all organizations and all projects in each organization that the user is a member of","tags":["organizations"],"summary":"Get All Organizations and Projects","responses":{"200":{"description":"OK - Contains all organizations and projects","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.AllOrganizationsAccountsResponse"}}}},"401":{"description":"Unauthorized - User does not have permission to get organizations and projects","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}},"500":{"description":"Internal Server Error - Failed to get organizations and projects or other server errors","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}}}}}},"components":{"schemas":{"model.AllOrganizationsAccountsResponse":{"type":"object","properties":{"activeAccountId":{"type":"string"},"organizationAccounts":{"type":"array","items":{"$ref":"#/components/schemas/model.OrganizationAccounts"}}}},"model.OrganizationAccounts":{"type":"object","properties":{"accounts":{"type":"array","items":{"$ref":"#/components/schemas/model.Account"}},"organization":{"$ref":"#/components/schemas/model.Organization"},"ssoEnabled":{"type":"boolean"}}},"model.Account":{"type":"object","properties":{"apiVersion":{"type":"string"},"kind":{"allOf":[{"$ref":"#/components/schemas/model.Kind"}]},"metadata":{"$ref":"#/components/schemas/model.Metadata"},"spec":{"$ref":"#/components/schemas/model.AccountSpec"},"status":{"$ref":"#/components/schemas/model.NoStatus"}}},"model.Kind":{"type":"string","enum":["Configuration","Agent","AgentType","AgentVersion","Source","Processor","Connector","Destination","Extension","SourceType","ProcessorType","ConnectorType","DestinationType","ExtensionType","RecommendationType","Unknown","Rollout","RolloutType","Organization","Account","Invitation","Login","User","AccountOrganizationBinding","UserOrganizationBinding","UserAccountBinding","AuditTrail","AvailableComponents","SecretsManagerType","SecretsManager","Recording","Credential","CredentialType","Fleet","Integration","IntegrationType","ConfigurationType","Notification","Recommendation","PublicProcessor","Blueprint","PrometheusRule","APIKey","ResourcePreset"]},"model.Metadata":{"type":"object","properties":{"additionalInfo":{"$ref":"#/components/schemas/model.AdditionalInfo"},"blueprintTags":{"description":"BlueprintTags holds categorized tags for blueprints (e.g., use-case, destination).\nUnlike Labels, this supports multiple values per category.","allOf":[{"$ref":"#/components/schemas/model.BlueprintTags"}]},"dateModified":{"type":"string"},"deprecated":{"description":"Deprecated indicates that this resource is deprecated and should not be used. Deprecated resources should contain\nadditional information about why the resource is deprecated and what should be used instead.\nNote: Ironically, the Deprecated field is itself deprecated. Use Stability instead.","type":"boolean"},"description":{"type":"string"},"displayName":{"type":"string"},"hash":{"description":"Hash is a hex formatted sha256 Hash of the json-encoded spec that is used to determine if the spec has changed.","type":"string"},"icon":{"type":"string"},"id":{"type":"string"},"labels":{"$ref":"#/components/schemas/model.Labels"},"name":{"type":"string"},"resourceDocLink":{"type":"string"},"stability":{"description":"Stability is the stability of the resource, one of development, alpha, beta, stable, or\ndeprecated. This should be used instead of the Deprecated field.","allOf":[{"$ref":"#/components/schemas/model.Stability"}]},"version":{"description":"Version is a 1-based integer that is incremented each time the spec is changed.","type":"integer"},"warning":{"description":"Warning is an optional message that is displayed to the user when the resource is configured. Currently used for IntegrationTypes.","type":"string"}}},"model.AdditionalInfo":{"type":"object","properties":{"documentation":{"type":"array","items":{"$ref":"#/components/schemas/model.DocumentationLink"}},"message":{"type":"string"}}},"model.DocumentationLink":{"type":"object","properties":{"text":{"type":"string"},"url":{"type":"string"}}},"model.BlueprintTags":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"model.Labels":{"type":"object"},"model.Stability":{"type":"string","enum":["development","alpha","beta","stable","deprecated",""]},"model.AccountSpec":{"type":"object","properties":{"alternateSecretKeys":{"description":"AlternateSecretKeys are additional secret keys that can be used for an account.","type":"array","items":{"type":"string"}},"names":{"description":"Names are labels for each secret key: index 0 is the default, indices 1+ match\nAlternateSecretKeys in order.","type":"array","items":{"type":"string"}},"parameters":{"description":"Parameters are the parameters for the account.","type":"array","items":{"$ref":"#/components/schemas/model.Parameter"}},"secretKey":{"description":"SecretKey is the default secret key for an account.\nThis will be used when generating the install command for agents.","type":"string"}}},"model.Parameter":{"type":"object","properties":{"credential":{"description":"Credential indicates if this parameter's value should be treated as a credential reference","type":"boolean"},"name":{"description":"Name is the name of the parameter","type":"string"},"sensitive":{"description":"Sensitive will be true if the value is sensitive and should be masked when printed.","type":"boolean"},"value":{"description":"Value could be any of the following: string, bool, int, enum (string), float, []string, map"}}},"model.NoStatus":{"type":"object"},"model.Organization":{"type":"object","properties":{"apiVersion":{"type":"string"},"kind":{"allOf":[{"$ref":"#/components/schemas/model.Kind"}]},"metadata":{"$ref":"#/components/schemas/model.Metadata"},"spec":{"$ref":"#/components/schemas/model.OrganizationSpec"},"status":{"$ref":"#/components/schemas/model.NoStatus"}}},"model.OrganizationSpec":{"type":"object","properties":{"auth0":{"$ref":"#/components/schemas/model.OrganizationAuth0"},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/model.Parameter"}}}},"model.OrganizationAuth0":{"type":"object","properties":{"displayName":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"}}},"model.ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}}}}}}
```

## GET /organizations/users

> Get all users associated with the organization by id

```json
{"openapi":"3.1.1","info":{"title":"","version":"0.0.1"},"servers":[{"url":"/v1"}],"paths":{"/organizations/users":{"get":{"tags":["organizations"],"summary":"Get all users associated with the organization by id","responses":{"200":{"description":"OK - Contains an array of users associated with the organization","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.UsersForOrganizationResponse"}}}},"403":{"description":"Status Forbidden - User does not have permission to retrieve users","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}},"500":{"description":"Status Internal Server Error - Failed to retrieve users or other severe errors","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}}}}}},"components":{"schemas":{"model.UsersForOrganizationResponse":{"description":"Body of the response to retrieve all users associated with an organization","type":"object","properties":{"users":{"type":"array","items":{"$ref":"#/components/schemas/model.User"}}}},"model.User":{"type":"object","properties":{"apiVersion":{"type":"string"},"kind":{"allOf":[{"$ref":"#/components/schemas/model.Kind"}]},"metadata":{"$ref":"#/components/schemas/model.Metadata"},"spec":{"$ref":"#/components/schemas/model.UserSpec"},"status":{"$ref":"#/components/schemas/model.NoStatus"}}},"model.Kind":{"type":"string","enum":["Configuration","Agent","AgentType","AgentVersion","Source","Processor","Connector","Destination","Extension","SourceType","ProcessorType","ConnectorType","DestinationType","ExtensionType","RecommendationType","Unknown","Rollout","RolloutType","Organization","Account","Invitation","Login","User","AccountOrganizationBinding","UserOrganizationBinding","UserAccountBinding","AuditTrail","AvailableComponents","SecretsManagerType","SecretsManager","Recording","Credential","CredentialType","Fleet","Integration","IntegrationType","ConfigurationType","Notification","Recommendation","PublicProcessor","Blueprint","PrometheusRule","APIKey","ResourcePreset"]},"model.Metadata":{"type":"object","properties":{"additionalInfo":{"$ref":"#/components/schemas/model.AdditionalInfo"},"blueprintTags":{"description":"BlueprintTags holds categorized tags for blueprints (e.g., use-case, destination).\nUnlike Labels, this supports multiple values per category.","allOf":[{"$ref":"#/components/schemas/model.BlueprintTags"}]},"dateModified":{"type":"string"},"deprecated":{"description":"Deprecated indicates that this resource is deprecated and should not be used. Deprecated resources should contain\nadditional information about why the resource is deprecated and what should be used instead.\nNote: Ironically, the Deprecated field is itself deprecated. Use Stability instead.","type":"boolean"},"description":{"type":"string"},"displayName":{"type":"string"},"hash":{"description":"Hash is a hex formatted sha256 Hash of the json-encoded spec that is used to determine if the spec has changed.","type":"string"},"icon":{"type":"string"},"id":{"type":"string"},"labels":{"$ref":"#/components/schemas/model.Labels"},"name":{"type":"string"},"resourceDocLink":{"type":"string"},"stability":{"description":"Stability is the stability of the resource, one of development, alpha, beta, stable, or\ndeprecated. This should be used instead of the Deprecated field.","allOf":[{"$ref":"#/components/schemas/model.Stability"}]},"version":{"description":"Version is a 1-based integer that is incremented each time the spec is changed.","type":"integer"},"warning":{"description":"Warning is an optional message that is displayed to the user when the resource is configured. Currently used for IntegrationTypes.","type":"string"}}},"model.AdditionalInfo":{"type":"object","properties":{"documentation":{"type":"array","items":{"$ref":"#/components/schemas/model.DocumentationLink"}},"message":{"type":"string"}}},"model.DocumentationLink":{"type":"object","properties":{"text":{"type":"string"},"url":{"type":"string"}}},"model.BlueprintTags":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"model.Labels":{"type":"object"},"model.Stability":{"type":"string","enum":["development","alpha","beta","stable","deprecated",""]},"model.UserSpec":{"type":"object","properties":{"activeAccount":{"type":"string"},"email":{"type":"string"},"nextLoginAccount":{"type":"string"},"requestedMFA":{"description":"RequestedMFA is true if the user has opted-in for multi-factor authentication. This is only supported when Auth0\nis configured as the authentication type.","type":"boolean"}}},"model.NoStatus":{"type":"object"},"model.ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}}}}}}
```

## Check Organization Display Name Usage

> Verifies whether the provided display name for an organization is already used by any existing organization.

```json
{"openapi":"3.1.1","info":{"title":"","version":"0.0.1"},"servers":[{"url":"/v1"}],"paths":{"/organizations/verify":{"put":{"description":"Verifies whether the provided display name for an organization is already used by any existing organization.","tags":["organizations"],"summary":"Check Organization Display Name Usage","responses":{"200":{"description":"OK - Contains a boolean indicating if the display name is in use","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.VerifyOrganizationResponse"}}}},"400":{"description":"Bad Request - Invalid input or data types","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}},"500":{"description":"Internal Server Error - Error processing the request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.VerifyOrganizationPayload"}}},"description":"Payload containing the display name to check","required":true}}}},"components":{"schemas":{"model.VerifyOrganizationResponse":{"description":"Body of the response to verify an organization name","type":"object","properties":{"valid":{"type":"boolean"}}},"model.ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}}},"model.VerifyOrganizationPayload":{"description":"Body of the request to verify an organization name","type":"object","properties":{"name":{"description":"The organization name to verify","type":"string"}}}}}}
```

## DELETE /organizations/{id}

> Delete organization by id

```json
{"openapi":"3.1.1","info":{"title":"","version":"0.0.1"},"servers":[{"url":"/v1"}],"paths":{"/organizations/{id}":{"delete":{"tags":["organizations"],"summary":"Delete organization by id","parameters":[{"schema":{"type":"string"},"description":"the id of the organization to delete","name":"id","in":"path","required":true}],"responses":{"204":{"description":"Successful Delete, no content"},"403":{"description":"Status Forbidden - User does not have permission to delete","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}},"500":{"description":"Status Internal Server Error - Failed to delete organization or other severe errors","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}}}}}},"components":{"schemas":{"model.ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}}}}}}
```

## Update Organization Display Name

> Updates the display name of the organization specified by the ID.

```json
{"openapi":"3.1.1","info":{"title":"","version":"0.0.1"},"servers":[{"url":"/v1"}],"paths":{"/organizations/{id}/metadata":{"patch":{"description":"Updates the display name of the organization specified by the ID.","tags":["organizations"],"summary":"Update Organization Display Name","parameters":[{"schema":{"type":"string"},"description":"The ID of the organization","name":"id","in":"path","required":true}],"responses":{"200":{"description":"OK - Display name updated successfully"},"400":{"description":"Bad Request - Invalid input, data types, or missing fields","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}},"401":{"description":"Unauthorized - Authentication required or failed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}},"404":{"description":"Not Found - Organization not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}},"500":{"description":"Internal Server Error - Error processing the request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.PatchOrganizationPayload"}}},"description":"Payload containing the new display name","required":true}}}},"components":{"schemas":{"model.ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}}},"model.PatchOrganizationPayload":{"description":"Body of the request to update organization metadata","type":"object","properties":{"name":{"description":"The updated organization name","type":"string"}}}}}}
```

## GET /organizations/{name}

> Get organization by name

```json
{"openapi":"3.1.1","info":{"title":"","version":"0.0.1"},"servers":[{"url":"/v1"}],"paths":{"/organizations/{name}":{"get":{"tags":["organizations"],"summary":"Get organization by name","parameters":[{"schema":{"type":"string"},"description":"the name of the organization to retrieve","name":"name","in":"path","required":true}],"responses":{"200":{"description":"OK - The organization requested by name","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.GetOrganizationResponse"}}}},"500":{"description":"Status Internal Server Error - Failed to retrieve organization or other severe errors","content":{"application/json":{"schema":{"$ref":"#/components/schemas/model.ErrorResponse"}}}}}}}},"components":{"schemas":{"model.GetOrganizationResponse":{"description":"Body of the response to get an organization by name","type":"object","properties":{"organization":{"$ref":"#/components/schemas/model.Organization"}}},"model.Organization":{"type":"object","properties":{"apiVersion":{"type":"string"},"kind":{"allOf":[{"$ref":"#/components/schemas/model.Kind"}]},"metadata":{"$ref":"#/components/schemas/model.Metadata"},"spec":{"$ref":"#/components/schemas/model.OrganizationSpec"},"status":{"$ref":"#/components/schemas/model.NoStatus"}}},"model.Kind":{"type":"string","enum":["Configuration","Agent","AgentType","AgentVersion","Source","Processor","Connector","Destination","Extension","SourceType","ProcessorType","ConnectorType","DestinationType","ExtensionType","RecommendationType","Unknown","Rollout","RolloutType","Organization","Account","Invitation","Login","User","AccountOrganizationBinding","UserOrganizationBinding","UserAccountBinding","AuditTrail","AvailableComponents","SecretsManagerType","SecretsManager","Recording","Credential","CredentialType","Fleet","Integration","IntegrationType","ConfigurationType","Notification","Recommendation","PublicProcessor","Blueprint","PrometheusRule","APIKey","ResourcePreset"]},"model.Metadata":{"type":"object","properties":{"additionalInfo":{"$ref":"#/components/schemas/model.AdditionalInfo"},"blueprintTags":{"description":"BlueprintTags holds categorized tags for blueprints (e.g., use-case, destination).\nUnlike Labels, this supports multiple values per category.","allOf":[{"$ref":"#/components/schemas/model.BlueprintTags"}]},"dateModified":{"type":"string"},"deprecated":{"description":"Deprecated indicates that this resource is deprecated and should not be used. Deprecated resources should contain\nadditional information about why the resource is deprecated and what should be used instead.\nNote: Ironically, the Deprecated field is itself deprecated. Use Stability instead.","type":"boolean"},"description":{"type":"string"},"displayName":{"type":"string"},"hash":{"description":"Hash is a hex formatted sha256 Hash of the json-encoded spec that is used to determine if the spec has changed.","type":"string"},"icon":{"type":"string"},"id":{"type":"string"},"labels":{"$ref":"#/components/schemas/model.Labels"},"name":{"type":"string"},"resourceDocLink":{"type":"string"},"stability":{"description":"Stability is the stability of the resource, one of development, alpha, beta, stable, or\ndeprecated. This should be used instead of the Deprecated field.","allOf":[{"$ref":"#/components/schemas/model.Stability"}]},"version":{"description":"Version is a 1-based integer that is incremented each time the spec is changed.","type":"integer"},"warning":{"description":"Warning is an optional message that is displayed to the user when the resource is configured. Currently used for IntegrationTypes.","type":"string"}}},"model.AdditionalInfo":{"type":"object","properties":{"documentation":{"type":"array","items":{"$ref":"#/components/schemas/model.DocumentationLink"}},"message":{"type":"string"}}},"model.DocumentationLink":{"type":"object","properties":{"text":{"type":"string"},"url":{"type":"string"}}},"model.BlueprintTags":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}}},"model.Labels":{"type":"object"},"model.Stability":{"type":"string","enum":["development","alpha","beta","stable","deprecated",""]},"model.OrganizationSpec":{"type":"object","properties":{"auth0":{"$ref":"#/components/schemas/model.OrganizationAuth0"},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/model.Parameter"}}}},"model.OrganizationAuth0":{"type":"object","properties":{"displayName":{"type":"string"},"id":{"type":"string"},"name":{"type":"string"}}},"model.Parameter":{"type":"object","properties":{"credential":{"description":"Credential indicates if this parameter's value should be treated as a credential reference","type":"boolean"},"name":{"description":"Name is the name of the parameter","type":"string"},"sensitive":{"description":"Sensitive will be true if the value is sensitive and should be masked when printed.","type":"boolean"},"value":{"description":"Value could be any of the following: string, bool, int, enum (string), float, []string, map"}}},"model.NoStatus":{"type":"object"},"model.ErrorResponse":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bindplane.com/cli-and-api/api/organizations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
